
  <div class="container white-bx">
      <div class="row">
          <div class="col l6 xl6 m6 s12 "><h5>Add Scheme :</h5></div>
          <div class="col l6 xl6 m6 s12 ">
          <button class="btnsub" mat-button routerLink="/schemelist" >Back To List</button>
          </div>
        </div>
    <alert></alert>
    <div class="row">


      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme name (in hindi) </mat-label>
          <input matInput placeholder="scheme name.." name="SchemeNameHin" [(ngModel)]="model.SchemeNameHin">
        </mat-form-field>

      </div>
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme name (in english) </mat-label>
          <input matInput placeholder="scheme name.." name="SchemeNameEng" [(ngModel)]="model.SchemeNameEng">
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Nodal Department
          </mat-label>
          <mat-select id="Nodal" #Id="ngModel" [(ngModel)]="model.Nodal" name="Nodal" (change)="selectedScheme();">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlNodel">{{k.Name}}</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Executive department</mat-label>
          <mat-select id="ExecutiveDepartment" #Id="ngModel" [(ngModel)]="model.ExecutiveDepartment"
            name="ExecutiveDepartment">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlExecutiveDepartment">{{k.Name}}</mat-option>

          </mat-select>
        </mat-form-field>

      </div>
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme Description</mat-label>
          <textarea matInput placeholder="Add Description " [(ngModel)]="model.Description"></textarea>
        </mat-form-field>
      </div>
     
      <div class="col l6 xl6 m6 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.MadeOfApplication">
          <mat-label class="mr-5">Mode of application </mat-label>
          <mat-radio-button value="Online" class="mr-5">Online</mat-radio-button>
          <mat-radio-button value="Offline" class="mr-5">Offline </mat-radio-button>
        </mat-radio-group>

        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label" *ngIf="model.MadeOfApplication === 'Online'" aria-label="Select an option" [(ngModel)]="model.OnlineApplicationType">
               <mat-radio-button value="Emitra" class="mr-5">Emitra</mat-radio-button>
        <mat-radio-button value="Department" class="mr-5">Department Website</mat-radio-button>
       
      </mat-radio-group>
<div *ngIf="model.OnlineApplicationType === 'Department'" >
             <mat-form-field class="example-full-width" >
          <input matInput placeholder="Url"  [(ngModel)]="model.MadeOfApplicationtxt"
            value="{{model.MadeOfApplication}}" name="MadeOfApplicationtxt">
        </mat-form-field>
      </div>
      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Category</mat-label>
          <mat-select #Id="ngModel" [(ngModel)]="model.BeneficiaryType" name="BeneficiaryType">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlBeneficiarytype">{{k.Name}}</mat-option>


          </mat-select>
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Beneficiary Category </mat-label>
          <mat-select #Id="ngModel" [(ngModel)]="model.CategoryOfScheme" name="CategoryOfScheme">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlCategoryScheme">{{k.Name}}</mat-option>

          </mat-select>
        </mat-form-field>

      </div>

      <div class="col l3 x8 m4 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.ChargabaleScheme">
          <mat-label class="mr-5">Is Direct Benefit to Citizen </mat-label>
          <mat-radio-button value="Yes" class="mr-5">Yes</mat-radio-button>
          <mat-radio-button value="No">No</mat-radio-button>
        </mat-radio-group>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> List of required docs</mat-label>
          <textarea matInput placeholder=" " [(ngModel)]="model.ListOfRequiredDocs" name="ListOfRequiredDocs"></textarea>
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.IsserviceFee">
          <mat-label class="mr-5">Service Fees  </mat-label>
          <mat-radio-button value="Yes" class="mr-5">Yes</mat-radio-button>
          <mat-radio-button value="No">No</mat-radio-button>
        </mat-radio-group>
 
        <input matInput placeholder="Ammount"  *ngIf="model.IsserviceFee === 'Yes'" [(ngModel)]="model.ServiceAmount" (keypress)="Numberonly($event)"  name="ServiceAmount">
      </div>

      
      <div class="col l6 xl6 m6 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.PaymentType">
          <mat-label class="mr-5">Payment Disbursement Mode </mat-label>
          <mat-radio-button class="mr-5" value="Full">Fully</mat-radio-button>
          <mat-radio-button value="Partially">Partially</mat-radio-button>
        </mat-radio-group>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme Output  </mat-label>
          <mat-select name="SchemeOutput" [(ngModel)]="model.SchemeOutput" multiple>
            <mat-option value="1">Financial Assistance</mat-option>
            <mat-option value="2">Subsidy</mat-option>
            <mat-option value="3">Scholarship</mat-option>
            <mat-option value="4">Others</mat-option>
          </mat-select>
        </mat-form-field>

      </div>


      <div class="col l6 x8 m4 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.ModeOfPayment">
          <mat-label class="mr-5">Mode of Payment </mat-label>
          <mat-radio-button class="mr-5" value="1">Cash</mat-radio-button>
          <mat-radio-button value="2">Non Cash</mat-radio-button>
        </mat-radio-group>

        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.PaymentThrough"  *ngIf="model.ModeOfPayment === '1'">         
          <mat-radio-button class="mr-5" value="1">Dabit Card</mat-radio-button>
          <mat-radio-button class="mr-5" value="2">DD</mat-radio-button>
          <mat-radio-button class="mr-5" value="3">Bank Chaque</mat-radio-button>
          <mat-radio-button class="mr-5" value="4">Cash</mat-radio-button>

        </mat-radio-group>
      </div>
     

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Mode of Deliverye</mat-label>
          <mat-select #Id="ngModel" [(ngModel)]="model.TypeOfScheme" name="TypeOfScheme" (change)="selectedScheme();">
            <mat-option>--Select--</mat-option>
            <mat-option value="1" >Online through Emitra</mat-option>
            <mat-option value="2" >Postal</mat-option>
            <mat-option value="3" >Physically Collect from Office</mat-option>

          </mat-select>
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Scheme Type</mat-label>
          <mat-select #Id="ngModel" [(ngModel)]="model.TypeOfScheme" name="TypeOfScheme" (change)="selectedScheme();">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlTypeScheme">{{k.Name}}</mat-option>

          </mat-select>
        </mat-form-field>

      </div>

        
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> Age </mat-label>
          <input matInput placeholder=" " id="Age" name="Age"  [(ngModel)]="model.Age">
        </mat-form-field>

      </div>

      <div class="col l6 x8 m4 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.Gender">
          <mat-label class="mr-5">Gender </mat-label>
          <mat-radio-button class="mr-5" value="Male">Male</mat-radio-button>
          <mat-radio-button value="Female">Female</mat-radio-button>
        </mat-radio-group>

        
      </div>

     
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> Income </mat-label>
          <input matInput placeholder=" " id="Income" name="AIncomege"  [(ngModel)]="model.Income">
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> Fees </mat-label>
          <input matInput placeholder=" " id="Fees" name="Fees"  [(ngModel)]="model.Fees">
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Nodal Officer Detail </mat-label>
          <textarea matInput placeholder="Add Detail " [(ngModel)]="model.NodalOfficerDetail"></textarea>
        </mat-form-field>
      </div>

  
      <div class="col l6 xl6 m6 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.StateLevel">
          <mat-label class="mr-5">Scheme Area </mat-label>
          <mat-radio-button class="mr-5" value="1"> District Level </mat-radio-button>
          <mat-radio-button  class="mr-5" value="2">State</mat-radio-button>
          <mat-radio-button value="3"> National Level</mat-radio-button>
        </mat-radio-group>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme Delivery Time (In Days)</mat-label>
          <input matInput placeholder="numeric"  [(ngModel)]="model.DeliveryTime" name="DeliveryTime" (keypress)="Numberonly($event)"  maxlength="15">
        </mat-form-field>
      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-radio-group class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.SchemeRenewal">
          <mat-label class="mr-5">Scheme Renewal</mat-label>
          <mat-radio-button class="mr-5" value="1">Yes</mat-radio-button>
          <mat-radio-button value="2">No</mat-radio-button>
        </mat-radio-group>
      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>Time of Validity (In Years)</mat-label>
          <mat-select #Id="ngModel" [(ngModel)]="model.SchemeValidity" name="SchemeValidity" >
            <mat-option>--Select--</mat-option>
            <mat-option value="1" >1</mat-option>
            <mat-option value="2" >2</mat-option>
            <mat-option value="3" >3</mat-option>
            <mat-option value="4" >4</mat-option>
            <mat-option value="5" >5</mat-option>

          </mat-select>
        </mat-form-field>

      </div>

      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Scheme Expired on</mat-label>
          <input matInput [matDatepicker]="picker1" (focus)="picker1.open()" [min]="todayDate" readonly placeholder="Choose a date" name="SchemeExpritation"
            id="SchemeExpritation" [(ngModel)]="model.SchemeExpritation">
          <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
          <mat-datepicker #picker1></mat-datepicker>
        </mat-form-field>

      </div>

      
      <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Helpline No </mat-label>
          <input matInput placeholder="9876543210"  [(ngModel)]="model.HelplineNo" name="HelplineNo" (keypress)="Numberonly($event)"  maxlength="15">
        </mat-form-field>

      </div>
     

      

      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Act/Rule </label>
          <input type="file" name="ActRule" (change)="handleFileInput($event.target.files,'ActRule')" class="form-control" />
        </div>
      </div>

      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Citizen Charter</label>
          <input type="file" name="CitizenCharter" (change)="handleFileInput($event.target.files,'CitizenCharter')" class="form-control" />
        </div>
      </div>
      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label> Scheme forms</label>          
          <input type="file" name="Schemeforms" (change)="handleFileInput($event.target.files,'schemeforms')" />
        </div>

      </div>
      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Logo</label>
          <input type="file" id="Logo" #inputFile (change)="handleFileInput($event.target.files,'logo')" class="form-control"
            accept="image/*" />
        </div>
      </div>
     
      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Icon</label>
          <input type="file" id="Icon" #inputFile (change)="handleFileInput($event.target.files,'Icon')" class="form-control"
            accept="image/*" />
        </div>
      </div>
     
      <div class="col l6 xl6 m6 s12">
        <div class="upload-btn-wrapper">
          <label>Banner</label>
          <input type="file" id="Banner" #inputFile (change)="handleFileInput($event.target.files,'Banner')" class="form-control"
            accept="image/*" />
        </div>
      </div>
     
      <div class="col l12 x8 m4 s12">
        <button mat-button class="btn-submit" (click)="saveData();">Submit</button>
      </div>
      
      <!-- <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>Is relative with order? </mat-label>
          <input matInput placeholder="" [(ngModel)]="model.IsRelativeWithOrder" name="IsRelativeWithOrder">
        </mat-form-field>

      </div> 
       <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> No of effective people?</mat-label>
          <input matInput placeholder=" " [(ngModel)]="model.NoOfEffectivePeople" name="NoOfEffectivePeople" (keypress)="Numberonly($event)"  maxlength="5">
        </mat-form-field>

      </div> 


       <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label> Title </mat-label>
          <input matInput placeholder=" " id="SchemeTitle" name="SchemeTitle" [(ngModel)]="model.SchemeTitle">
        </mat-form-field>

      </div>
     <div class="col l6 xl6 m6 s12">
        <mat-form-field>
          <mat-label>concerned department </mat-label>
          <mat-select id="ConcernedDepartment" #Id="ngModel" [(ngModel)]="model.ConcernedDepartment"
            name="ConcernedDepartment">
            <mat-option>--Select--</mat-option>
            <mat-option value="{{k.Value}}" *ngFor="let k of dDLList?.ddlConcernedDepartment">{{k.Name}}</mat-option>
          </mat-select>
        </mat-form-field>

      </div> 
      <div class="col l6 xl6 m6 s12">
        <mat-radio-group  class="example-full-width radio-bx-custom radio-bx-custom-with-label"
          aria-label="Select an option" [(ngModel)]="model.PaymentOperation">
          <mat-label class="mr-5">Title </mat-label>
          <mat-radio-button class="mr-5" value="One time">One time</mat-radio-button>
          <mat-radio-button value="Refundable">Refundable</mat-radio-button>
        </mat-radio-group>

      </div>

  
       <div class="col l6 xl6 m6 s12">
        <mat-form-field class="example-full-width">
          <mat-label>End level department</mat-label>
          <input matInput placeholder=" " [(ngModel)]="model.EndLevelDepartment" name="EndLevelDepartment">
        </mat-form-field>

      </div> -->


      

      

    </div>
  </div>
<footer>

  <div class="container">


    <div class="col s12">
      Website Designed & maintained by
    </div>
  </div>



</footer>